summaryrefslogtreecommitdiffstats
path: root/slackware64/n
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64/n')
-rwxr-xr-xslackware64/n/install-packages73
-rw-r--r--slackware64/n/install.end14
-rw-r--r--slackware64/n/maketag160
-rw-r--r--slackware64/n/maketag.ez160
-rw-r--r--slackware64/n/tagfile125
5 files changed, 532 insertions, 0 deletions
diff --git a/slackware64/n/install-packages b/slackware64/n/install-packages
new file mode 100755
index 000000000..3232fb680
--- /dev/null
+++ b/slackware64/n/install-packages
@@ -0,0 +1,73 @@
+#!/bin/sh
+# Copyright 2002 Slackware Linux, Inc., Concord, CA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This is a simple script to install a package series from the command line.
+# If you're already running Slackware, you can just run this script to install
+# the packages.
+#
+# I originally got the idea for this tool because Slackware with both KDE and
+# GNOME doesn't fit on a single CD-ROM anymore, so I wanted to provide a quick
+# way to add a series later on with the same ease as the initial installation.
+#
+# To use this script, just run it as root in the current directory like this:
+#
+# ./install-packages
+#
+# Note that this script does not make any attempt to remove or upgrade existing
+# packages. If you want to upgrade an existing installation, you will be better
+# served using the pkgtools directly. Here's how to upgrade all the packages in
+# this series:
+#
+# upgradepkg *.t?z (upgrades already installed packages)
+# installpkg *.t?z (installs all packages, to make sure new ones are installed)
+#
+# If you upgrade a series like this, afterwards you might need to merge over any
+# required changes in the new config files, which will have the suffix .new.
+# These can be found like this:
+#
+# find / -name "*.new"
+#
+# OK, on with the show! Enjoy! :-)
+#
+# Patrick Volkerding <volkerdi@slackware.com>
+
+# Use the existing maketag script to provide a package selection menu:
+sh maketag
+
+# Quick bail if nothing was requested:
+if grep ADD /var/log/setup/tmp/SeTnewtag 1> /dev/null 2> /dev/null ; then
+ true
+else
+ rm -f /var/log/setup/tmp/SeTnewtag
+ exit
+fi
+
+# Install the selected packages:
+for PKG in *.t?z ; do
+ if [ ! "$ROOT" = "" ]; then
+ installpkg -root $ROOT -infobox -tagfile /var/log/setup/tmp/SeTnewtag $PKG
+ else
+ installpkg -infobox -tagfile /var/log/setup/tmp/SeTnewtag $PKG
+ fi
+done
+rm -f /var/log/setup/tmp/SeTnewtag
+echo
+echo "Done installing packages."
diff --git a/slackware64/n/install.end b/slackware64/n/install.end
new file mode 100644
index 000000000..67eb307dd
--- /dev/null
+++ b/slackware64/n/install.end
@@ -0,0 +1,14 @@
+#SERIES_LAST_DIRECTORY
+
+This file must be present to signal to 'setup' that this is the last
+directory in this package series. It serves no other purpose, other than
+to make you curious enough to use rot13 to read the rest of it (_at your
+own risk!_ :)
+
+Sbe vasbezngvba nobhg trggvat "Obo" va lbhe yvsr, cyrnfr ivfvg:
+
+ Puhepu bs gur FhoTravhf
+ uggc://jjj.fhotravhf.pbz
+
+Qba'g fnl lbh jrer abg jnearq jura gur Kvfgf pbzr sbe lbh.
+
diff --git a/slackware64/n/maketag b/slackware64/n/maketag
new file mode 100644
index 000000000..5a085bab0
--- /dev/null
+++ b/slackware64/n/maketag
@@ -0,0 +1,160 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES N (NETWORK/NEWS/MAIL/UUCP)" \
+ --checklist "Please confirm the packages you wish to install \
+from series N. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Press ENTER when you are done." \
+21 72 11 \
+"alpine" "Alpine menu-driven mail program" "on" \
+"autofs" "Linux automounter" "on" \
+"biff+comsat" "Announces email delivery" "on" \
+"bind" "Berkeley Internet Name Domain server" "on" \
+"bluez-firmware" "Firmware for Bluetooth(TM) devices" "on" \
+"bluez-hcidump" "Bluetooth(TM) network analyzer" "on" \
+"bluez-libs" "Libraries to support Bluetooth(TM)" "on" \
+"bluez-utils" "Utilities for Bluetooth(TM)" "on" \
+"bootp" "Internet Bootstrap Protocol server" "on" \
+"bridge-utils" "Tools for setting up Ethernet bridges" "on" \
+"bsd-finger" "BSD finger daemon and client" "on" \
+"crda" "Central Regulatory Domain Agent" "on" \
+"curl" "Command-line URL transfer utility" "on" \
+"cyrus-sasl" "SASL email authentication library" "on" \
+"dhcp" "DHCP server (and client) utilities" "on" \
+"dhcpcd" "DHCP client daemon" "on" \
+"dirmngr" "Certificate Revocation Lists Manager for GPG" "on" \
+"dnsmasq" "Small DNS/DHCP server for a LAN" "on" \
+"elm" "Menu-driven user mail program" "on" \
+"epic4" "EPIC4 Internet Relay Chat (IRC) client" "on" \
+"ethtool" "A tool for configuring Ethernet devices" "on" \
+"fetchmail" "Fetch mail from POP/IMAP/ETRN servers" "on" \
+"getmail" "POP3 mail retrieval tool" "on" \
+"gnupg" "GNU Privacy Guard public key encryption" "on" \
+"gnupg2" "GNU Privacy Guard version 2.x" "on" \
+"gnutls" "GNU TLS/SSL (secure communications) library" "on" \
+"gpa" "GNU Privacy Assistant" "on" \
+"gpgme" "GnuPG Made Easy library" "on" \
+"htdig" "Indexing and search engine" "on" \
+"httpd" "Apache WWW (HTTP) server" "on" \
+"icmpinfo" "Dump or log ICMP packets" "on" \
+"imapd" "ipop3d/imapd remote mail access daemons" "on" \
+"inetd" "Internet super server daemon" "on" \
+"iproute2" "Kernel routing and traffic control" "on" \
+"iptables" "Firewall configuration utility" "on" \
+"iptraf" "Network monitoring program" "on" \
+"iputils" "Some common network tools" "on" \
+"ipw2100-fw" "Firmware for Intel ipw2100 wireless." "on" \
+"ipw2200-fw" "Firmware for Intel ipw2200 wireless." "on" \
+"irssi" "IRSSI Internet Relay Chat (IRC) client" "on" \
+"iw" "Utility for mac80211 based wireless devices" "on" \
+"iwlwifi-3945-ucode" "Microcode for Intel 3945 wireless chips." "on" \
+"iwlwifi-4965-ucode" "Microcode for Intel 4965 wireless chips." "on" \
+"iwlwifi-5000-ucode" "Microcode for Intel 5000 wireless chips." "on" \
+"iwlwifi-5150-ucode" "Microcode for Intel 5150 wireless chips." "on" \
+"lftp" "Shell-like FTP and HTTP transfer program" "on" \
+"libassuan" "Interprocess Communication Library for GPG" "on" \
+"libgcrypt" "General purpose crypto library" "on" \
+"libgpg-error" "GnuPG Error Definitions Library" "on" \
+"libksba" "X.509 & CMS library for S/MIME and TLS" "on" \
+"links" "Text-based WWW browser (with frames)" "on" \
+"lynx" "Classic text-based WWW browser" "on" \
+"mailx" "A simple user mail program" "on" \
+"mcabber" "Jabber messaging client for the console" "on" \
+"metamail" "Metamail multimedia mail extensions" "on" \
+"mtr" "Network diagnosic tool" "on" \
+"mutt" "The Mutt E-Mail Client" "on" \
+"nc" "Netcat network utility" "on" \
+"ncftp" "NcFTP file transfer utilities" "on" \
+"net-snmp" "Simple Network Management Protocol tools" "on" \
+"net-tools" "Utilities required for networking on Linux" "on" \
+"netatalk" "Print/file server for Apple Macs" "on" \
+"netdate" "A simple network time utility" "on" \
+"netkit-bootparamd" "A diskless client server used with Suns" "on" \
+"netkit-ftp" "The BSD FTP client" "on" \
+"netkit-ntalk" "BSD talk daemon/client" "on" \
+"netkit-routed" "An (old) BSD dynamic routing daemon" "on" \
+"netkit-rsh" "BSD rsh suite. Most people use ssh instead." "on" \
+"netkit-rusers" "BSD utility to see who is logged in on a net" "on" \
+"netkit-rwall" "Write to every user on a system" "on" \
+"netkit-rwho" "See information about users on the local net" "on" \
+"netkit-timed" "BSD time server daemon" "on" \
+"netpipes" "Network pipe utilities" "on" \
+"netwatch" "Another network monitoring program" "on" \
+"network-scripts" "Scripts required for networking on Slackware" "on" \
+"netwrite" "Write to users on a remote machine" "on" \
+"newspost" "Posts multipart binaries on USENET" "on" \
+"nfs-utils" "Network File System daemons" "on" \
+"nmap" "Network scanning utility" "on" \
+"nn" "The NN news reader" "on" \
+"ntp" "Network Time Protocol" "on" \
+"obexftp" "Object Exchange FTP client/server" "on" \
+"openldap-client" "LDAP authentication libraries" "on" \
+"openobex" "Object Exchange protocol library" "on" \
+"openssh" "OpenSSH Secure Shell" "on" \
+"openssl" "OpenSSL Secure Sockets Layer toolkit" "on" \
+"openvpn" "Secure IP VPN tunnel daemon" "on" \
+"php" "PHP scripting language for Apache" "on" \
+"pidentd" "TCP/IP IDENT protocol server" "on" \
+"pinentry" "PIN Entry dialogs" "on" \
+"popa3d" "Post Office Protocol v. 3 (POP3) server" "on" \
+"portmap" "Manages NFS and other RPC connections" "on" \
+"ppp" "Point-to-point protocol" "on" \
+"procmail" "Mail delivery/filtering utility" "on" \
+"proftpd" "The Professional FTP (file transfer) daemon" "on" \
+"pssh" "Parallel versions of the openssh tools" "on" \
+"pth" "GNU Portable Threads" "on" \
+"rdist" "Remote file distribution utility" "on" \
+"rp-pppoe" "Connect to ADSL ISPs that use PPPoE" "on" \
+"rsync" "Enhanced replacement for rcp" "on" \
+"rt61-firmware" "Firmware for rt61 wireless cards." "on" \
+"rt71w-firmware" "Firmware for rt71w wireless cards." "on" \
+"samba" "SMB print/file server for Windows LANs" "on" \
+"sendmail" "The sendmail mail transport agent" "on" \
+"sendmail-cf" "Extra configuration files for sendmail" "on" \
+"slrn" "slrn (s-lang read news) news reader" "on" \
+"snownews" "Console RSS reader" "on" \
+"stunnel" "Universal SSL tunnel" "on" \
+"tcp_wrappers" "A daemon and wrapper to increase security" "on" \
+"tcpdump" "Tool for dumping network packets" "on" \
+"telnet" "The telnet client and telnetd daemon" "on" \
+"tftp-hpa" "A TFTP implementation" "on" \
+"tin" "The 'tin' news reader" "on" \
+"traceroute" "Packet tracing utility" "on" \
+"trn" "A threaded news reader" "on" \
+"uucp" "Taylor UUCP with HDB && Taylor configs" "on" \
+"vlan" "Virtual LAN configuration tool" "on" \
+"vsftpd" "The Very Secure FTP (file transfer) daemon" "on" \
+"wget" "WWW/FTP retrieval tool" "on" \
+"whois" "Enhanced whois client" "on" \
+"wireless-tools" "Tools for wireless networking" "on" \
+"wpa_supplicant" "WPA/WPA2/IEEE 802.1X (wireless) Supplicant" "on" \
+"yptools" "NIS servers and clients" "on" \
+"ytalk" "Multi-user talk program" "on" \
+"zd1211-firmware" "Firmware for zd1211 USB wireless" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+alpine autofs biff+comsat bind bluez-firmware bluez-hcidump bluez-libs bluez-utils bootp bridge-utils bsd-finger crda curl cyrus-sasl dhcp dhcpcd dirmngr dnsmasq elm epic4 ethtool fetchmail getmail gnupg gnupg2 gnutls gpa gpgme htdig httpd icmpinfo imapd inetd iproute2 iptables iptraf iputils ipw2100-fw ipw2200-fw irssi iw iwlwifi-3945-ucode iwlwifi-4965-ucode iwlwifi-5000-ucode iwlwifi-5150-ucode lftp libassuan libgcrypt libgpg-error libksba links lynx mailx mcabber metamail mtr mutt nc ncftp net-snmp net-tools netatalk netdate netkit-bootparamd netkit-ftp netkit-ntalk netkit-routed netkit-rsh netkit-rusers netkit-rwall netkit-rwho netkit-timed netpipes netwatch network-scripts netwrite newspost nfs-utils nmap nn ntp obexftp openldap-client openobex openssh openssl openvpn php pidentd pinentry popa3d portmap ppp procmail proftpd pssh pth rdist rp-pppoe rsync rt61-firmware rt71w-firmware samba sendmail sendmail-cf slrn snownews stunnel tcp_wrappers tcpdump telnet tftp-hpa tin traceroute trn uucp vlan vsftpd wget whois wireless-tools wpa_supplicant yptools ytalk zd1211-firmware \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+alpine autofs biff+comsat bind bluez-firmware bluez-hcidump bluez-libs bluez-utils bootp bridge-utils bsd-finger crda curl cyrus-sasl dhcp dhcpcd dirmngr dnsmasq elm epic4 ethtool fetchmail getmail gnupg gnupg2 gnutls gpa gpgme htdig httpd icmpinfo imapd inetd iproute2 iptables iptraf iputils ipw2100-fw ipw2200-fw irssi iw iwlwifi-3945-ucode iwlwifi-4965-ucode iwlwifi-5000-ucode iwlwifi-5150-ucode lftp libassuan libgcrypt libgpg-error libksba links lynx mailx mcabber metamail mtr mutt nc ncftp net-snmp net-tools netatalk netdate netkit-bootparamd netkit-ftp netkit-ntalk netkit-routed netkit-rsh netkit-rusers netkit-rwall netkit-rwho netkit-timed netpipes netwatch network-scripts netwrite newspost nfs-utils nmap nn ntp obexftp openldap-client openobex openssh openssl openvpn php pidentd pinentry popa3d portmap ppp procmail proftpd pssh pth rdist rp-pppoe rsync rt61-firmware rt71w-firmware samba sendmail sendmail-cf slrn snownews stunnel tcp_wrappers tcpdump telnet tftp-hpa tin traceroute trn uucp vlan vsftpd wget whois wireless-tools wpa_supplicant yptools ytalk zd1211-firmware \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs
diff --git a/slackware64/n/maketag.ez b/slackware64/n/maketag.ez
new file mode 100644
index 000000000..5a085bab0
--- /dev/null
+++ b/slackware64/n/maketag.ez
@@ -0,0 +1,160 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES N (NETWORK/NEWS/MAIL/UUCP)" \
+ --checklist "Please confirm the packages you wish to install \
+from series N. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Press ENTER when you are done." \
+21 72 11 \
+"alpine" "Alpine menu-driven mail program" "on" \
+"autofs" "Linux automounter" "on" \
+"biff+comsat" "Announces email delivery" "on" \
+"bind" "Berkeley Internet Name Domain server" "on" \
+"bluez-firmware" "Firmware for Bluetooth(TM) devices" "on" \
+"bluez-hcidump" "Bluetooth(TM) network analyzer" "on" \
+"bluez-libs" "Libraries to support Bluetooth(TM)" "on" \
+"bluez-utils" "Utilities for Bluetooth(TM)" "on" \
+"bootp" "Internet Bootstrap Protocol server" "on" \
+"bridge-utils" "Tools for setting up Ethernet bridges" "on" \
+"bsd-finger" "BSD finger daemon and client" "on" \
+"crda" "Central Regulatory Domain Agent" "on" \
+"curl" "Command-line URL transfer utility" "on" \
+"cyrus-sasl" "SASL email authentication library" "on" \
+"dhcp" "DHCP server (and client) utilities" "on" \
+"dhcpcd" "DHCP client daemon" "on" \
+"dirmngr" "Certificate Revocation Lists Manager for GPG" "on" \
+"dnsmasq" "Small DNS/DHCP server for a LAN" "on" \
+"elm" "Menu-driven user mail program" "on" \
+"epic4" "EPIC4 Internet Relay Chat (IRC) client" "on" \
+"ethtool" "A tool for configuring Ethernet devices" "on" \
+"fetchmail" "Fetch mail from POP/IMAP/ETRN servers" "on" \
+"getmail" "POP3 mail retrieval tool" "on" \
+"gnupg" "GNU Privacy Guard public key encryption" "on" \
+"gnupg2" "GNU Privacy Guard version 2.x" "on" \
+"gnutls" "GNU TLS/SSL (secure communications) library" "on" \
+"gpa" "GNU Privacy Assistant" "on" \
+"gpgme" "GnuPG Made Easy library" "on" \
+"htdig" "Indexing and search engine" "on" \
+"httpd" "Apache WWW (HTTP) server" "on" \
+"icmpinfo" "Dump or log ICMP packets" "on" \
+"imapd" "ipop3d/imapd remote mail access daemons" "on" \
+"inetd" "Internet super server daemon" "on" \
+"iproute2" "Kernel routing and traffic control" "on" \
+"iptables" "Firewall configuration utility" "on" \
+"iptraf" "Network monitoring program" "on" \
+"iputils" "Some common network tools" "on" \
+"ipw2100-fw" "Firmware for Intel ipw2100 wireless." "on" \
+"ipw2200-fw" "Firmware for Intel ipw2200 wireless." "on" \
+"irssi" "IRSSI Internet Relay Chat (IRC) client" "on" \
+"iw" "Utility for mac80211 based wireless devices" "on" \
+"iwlwifi-3945-ucode" "Microcode for Intel 3945 wireless chips." "on" \
+"iwlwifi-4965-ucode" "Microcode for Intel 4965 wireless chips." "on" \
+"iwlwifi-5000-ucode" "Microcode for Intel 5000 wireless chips." "on" \
+"iwlwifi-5150-ucode" "Microcode for Intel 5150 wireless chips." "on" \
+"lftp" "Shell-like FTP and HTTP transfer program" "on" \
+"libassuan" "Interprocess Communication Library for GPG" "on" \
+"libgcrypt" "General purpose crypto library" "on" \
+"libgpg-error" "GnuPG Error Definitions Library" "on" \
+"libksba" "X.509 & CMS library for S/MIME and TLS" "on" \
+"links" "Text-based WWW browser (with frames)" "on" \
+"lynx" "Classic text-based WWW browser" "on" \
+"mailx" "A simple user mail program" "on" \
+"mcabber" "Jabber messaging client for the console" "on" \
+"metamail" "Metamail multimedia mail extensions" "on" \
+"mtr" "Network diagnosic tool" "on" \
+"mutt" "The Mutt E-Mail Client" "on" \
+"nc" "Netcat network utility" "on" \
+"ncftp" "NcFTP file transfer utilities" "on" \
+"net-snmp" "Simple Network Management Protocol tools" "on" \
+"net-tools" "Utilities required for networking on Linux" "on" \
+"netatalk" "Print/file server for Apple Macs" "on" \
+"netdate" "A simple network time utility" "on" \
+"netkit-bootparamd" "A diskless client server used with Suns" "on" \
+"netkit-ftp" "The BSD FTP client" "on" \
+"netkit-ntalk" "BSD talk daemon/client" "on" \
+"netkit-routed" "An (old) BSD dynamic routing daemon" "on" \
+"netkit-rsh" "BSD rsh suite. Most people use ssh instead." "on" \
+"netkit-rusers" "BSD utility to see who is logged in on a net" "on" \
+"netkit-rwall" "Write to every user on a system" "on" \
+"netkit-rwho" "See information about users on the local net" "on" \
+"netkit-timed" "BSD time server daemon" "on" \
+"netpipes" "Network pipe utilities" "on" \
+"netwatch" "Another network monitoring program" "on" \
+"network-scripts" "Scripts required for networking on Slackware" "on" \
+"netwrite" "Write to users on a remote machine" "on" \
+"newspost" "Posts multipart binaries on USENET" "on" \
+"nfs-utils" "Network File System daemons" "on" \
+"nmap" "Network scanning utility" "on" \
+"nn" "The NN news reader" "on" \
+"ntp" "Network Time Protocol" "on" \
+"obexftp" "Object Exchange FTP client/server" "on" \
+"openldap-client" "LDAP authentication libraries" "on" \
+"openobex" "Object Exchange protocol library" "on" \
+"openssh" "OpenSSH Secure Shell" "on" \
+"openssl" "OpenSSL Secure Sockets Layer toolkit" "on" \
+"openvpn" "Secure IP VPN tunnel daemon" "on" \
+"php" "PHP scripting language for Apache" "on" \
+"pidentd" "TCP/IP IDENT protocol server" "on" \
+"pinentry" "PIN Entry dialogs" "on" \
+"popa3d" "Post Office Protocol v. 3 (POP3) server" "on" \
+"portmap" "Manages NFS and other RPC connections" "on" \
+"ppp" "Point-to-point protocol" "on" \
+"procmail" "Mail delivery/filtering utility" "on" \
+"proftpd" "The Professional FTP (file transfer) daemon" "on" \
+"pssh" "Parallel versions of the openssh tools" "on" \
+"pth" "GNU Portable Threads" "on" \
+"rdist" "Remote file distribution utility" "on" \
+"rp-pppoe" "Connect to ADSL ISPs that use PPPoE" "on" \
+"rsync" "Enhanced replacement for rcp" "on" \
+"rt61-firmware" "Firmware for rt61 wireless cards." "on" \
+"rt71w-firmware" "Firmware for rt71w wireless cards." "on" \
+"samba" "SMB print/file server for Windows LANs" "on" \
+"sendmail" "The sendmail mail transport agent" "on" \
+"sendmail-cf" "Extra configuration files for sendmail" "on" \
+"slrn" "slrn (s-lang read news) news reader" "on" \
+"snownews" "Console RSS reader" "on" \
+"stunnel" "Universal SSL tunnel" "on" \
+"tcp_wrappers" "A daemon and wrapper to increase security" "on" \
+"tcpdump" "Tool for dumping network packets" "on" \
+"telnet" "The telnet client and telnetd daemon" "on" \
+"tftp-hpa" "A TFTP implementation" "on" \
+"tin" "The 'tin' news reader" "on" \
+"traceroute" "Packet tracing utility" "on" \
+"trn" "A threaded news reader" "on" \
+"uucp" "Taylor UUCP with HDB && Taylor configs" "on" \
+"vlan" "Virtual LAN configuration tool" "on" \
+"vsftpd" "The Very Secure FTP (file transfer) daemon" "on" \
+"wget" "WWW/FTP retrieval tool" "on" \
+"whois" "Enhanced whois client" "on" \
+"wireless-tools" "Tools for wireless networking" "on" \
+"wpa_supplicant" "WPA/WPA2/IEEE 802.1X (wireless) Supplicant" "on" \
+"yptools" "NIS servers and clients" "on" \
+"ytalk" "Multi-user talk program" "on" \
+"zd1211-firmware" "Firmware for zd1211 USB wireless" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+alpine autofs biff+comsat bind bluez-firmware bluez-hcidump bluez-libs bluez-utils bootp bridge-utils bsd-finger crda curl cyrus-sasl dhcp dhcpcd dirmngr dnsmasq elm epic4 ethtool fetchmail getmail gnupg gnupg2 gnutls gpa gpgme htdig httpd icmpinfo imapd inetd iproute2 iptables iptraf iputils ipw2100-fw ipw2200-fw irssi iw iwlwifi-3945-ucode iwlwifi-4965-ucode iwlwifi-5000-ucode iwlwifi-5150-ucode lftp libassuan libgcrypt libgpg-error libksba links lynx mailx mcabber metamail mtr mutt nc ncftp net-snmp net-tools netatalk netdate netkit-bootparamd netkit-ftp netkit-ntalk netkit-routed netkit-rsh netkit-rusers netkit-rwall netkit-rwho netkit-timed netpipes netwatch network-scripts netwrite newspost nfs-utils nmap nn ntp obexftp openldap-client openobex openssh openssl openvpn php pidentd pinentry popa3d portmap ppp procmail proftpd pssh pth rdist rp-pppoe rsync rt61-firmware rt71w-firmware samba sendmail sendmail-cf slrn snownews stunnel tcp_wrappers tcpdump telnet tftp-hpa tin traceroute trn uucp vlan vsftpd wget whois wireless-tools wpa_supplicant yptools ytalk zd1211-firmware \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+alpine autofs biff+comsat bind bluez-firmware bluez-hcidump bluez-libs bluez-utils bootp bridge-utils bsd-finger crda curl cyrus-sasl dhcp dhcpcd dirmngr dnsmasq elm epic4 ethtool fetchmail getmail gnupg gnupg2 gnutls gpa gpgme htdig httpd icmpinfo imapd inetd iproute2 iptables iptraf iputils ipw2100-fw ipw2200-fw irssi iw iwlwifi-3945-ucode iwlwifi-4965-ucode iwlwifi-5000-ucode iwlwifi-5150-ucode lftp libassuan libgcrypt libgpg-error libksba links lynx mailx mcabber metamail mtr mutt nc ncftp net-snmp net-tools netatalk netdate netkit-bootparamd netkit-ftp netkit-ntalk netkit-routed netkit-rsh netkit-rusers netkit-rwall netkit-rwho netkit-timed netpipes netwatch network-scripts netwrite newspost nfs-utils nmap nn ntp obexftp openldap-client openobex openssh openssl openvpn php pidentd pinentry popa3d portmap ppp procmail proftpd pssh pth rdist rp-pppoe rsync rt61-firmware rt71w-firmware samba sendmail sendmail-cf slrn snownews stunnel tcp_wrappers tcpdump telnet tftp-hpa tin traceroute trn uucp vlan vsftpd wget whois wireless-tools wpa_supplicant yptools ytalk zd1211-firmware \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs
diff --git a/slackware64/n/tagfile b/slackware64/n/tagfile
new file mode 100644
index 000000000..3506c1cb1
--- /dev/null
+++ b/slackware64/n/tagfile
@@ -0,0 +1,125 @@
+alpine:OPT
+autofs:OPT
+biff+comsat:OPT
+bind:REC
+bluez-firmware:ADD
+bluez-hcidump:ADD
+bluez-libs:ADD
+bluez-utils:ADD
+bootp:OPT
+bridge-utils:OPT
+bsd-finger:OPT
+crda:REC
+curl:OPT
+cyrus-sasl:REC
+dhcp:OPT
+dhcpcd:REC
+dirmngr:REC
+dnsmasq:OPT
+elm:OPT
+epic4:OPT
+ethtool:OPT
+fetchmail:OPT
+getmail:REC
+gnupg:OPT
+gnupg2:REC
+gnutls:ADD
+gpa:REC
+gpgme:REC
+htdig:OPT
+httpd:OPT
+icmpinfo:OPT
+imapd:OPT
+inetd:REC
+iproute2:OPT
+iptables:ADD
+iptraf:OPT
+iputils:OPT
+ipw2100-fw:ADD
+ipw2200-fw:ADD
+irssi:OPT
+iw:REC
+iwlwifi-3945-ucode:ADD
+iwlwifi-4965-ucode:ADD
+iwlwifi-5000-ucode:ADD
+iwlwifi-5150-ucode:ADD
+lftp:OPT
+libassuan:REC
+libgcrypt:REC
+libgpg-error:REC
+libksba:REC
+links:OPT
+lynx:OPT
+mailx:REC
+mcabber:OPT
+metamail:REC
+mtr:OPT
+mutt:OPT
+nc:OPT
+ncftp:OPT
+net-snmp:REC
+net-tools:OPT
+netatalk:OPT
+netdate:OPT
+netkit-bootparamd:OPT
+netkit-ftp:OPT
+netkit-ntalk:OPT
+netkit-routed:OPT
+netkit-rsh:OPT
+netkit-rusers:OPT
+netkit-rwall:OPT
+netkit-rwho:OPT
+netkit-timed:OPT
+netpipes:OPT
+netwatch:OPT
+network-scripts:ADD
+netwrite:OPT
+newspost:OPT
+nfs-utils:OPT
+nmap:OPT
+nn:OPT
+ntp:OPT
+obexftp:REC
+openldap-client:REC
+openobex:REC
+openssh:REC
+openssl:REC
+openvpn:OPT
+php:OPT
+pidentd:REC
+pinentry:REC
+popa3d:REC
+portmap:REC
+ppp:OPT
+procmail:REC
+proftpd:OPT
+pssh:OPT
+pth:REC
+rdist:OPT
+rp-pppoe:OPT
+rsync:OPT
+rt61-firmware:ADD
+rt71w-firmware:ADD
+samba:OPT
+sendmail:REC
+sendmail-cf:OPT
+slrn:OPT
+snownews:OPT
+stunnel:OPT
+tcp_wrappers:REC
+tcpdump:REC
+telnet:REC
+tftp-hpa:OPT
+tin:OPT
+traceroute:OPT
+trn:OPT
+uucp:OPT
+vlan:OPT
+vsftpd:REC
+wget:OPT
+whois:OPT
+wireless-tools:OPT
+wpa_supplicant:REC
+yptools:OPT
+ytalk:OPT
+zd1211-firmware:ADD